Subject: [Dime] RE: Making decisions regarding QoS Work

From: "Christian Esteve" <[email-masked]>
Date: Thu, 10 May 2007 16:09:00 -0300

Hi folks,

I support a) and b) as WG items.

Regarding c) I am in favor of working towards a combined document
addressing the Push and Pull modes of operations..

I would like to see from
draft-sun-dime-diameter-resource-control-requirements-01 the
implications of end user capabilities and QoS mechanisms of section
2.1. I also agree that we should import the resource control
functional framework (AF - resource control PDP - resource PEP) in
sections 2.2. and 2.4. The functional framework reflects the
architecture evolution trends of the different SDOs (btw. the WiMAX
Forum NWG also considers the push model).

In this context, I would like to incorporate references to the
concrete needs of SDOs, e.g  the ITU-T RACF that has the broadest
scope of all the SDOs. I am not apelling for a heavy ITU-T-oriented
I-D like draft-zhang-nsis-interdomain-qosm-04.txt, but I would like to
make sure that the diameter QoS application satisfies evolving SDOs
policy-based resource control requirements. In the short term the work
around 3GPP is the most time critical and has the most advanced
Diameter-based policy and charging control fucntion.

My 2 cents.

Best regards,
Christian

On 5/10/07, [email-masked] <[email-masked]> wrote:
> Send DiME mailing list submissions to
>         [email-masked]
>
> To subscribe or unsubscribe via the World Wide Web, visit
>         https://www1.ietf.org/mailman/listinfo/dime
> or, via email, send a message with subject or body 'help' to
>         [email-masked]
>
> You can reach the person managing the list at
>         [email-masked]
>
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of DiME digest..."
>
>
> Today's Topics:
>
>    1. RE: Making decisions regarding QoS Work (Sun, Dong (Dong))
>
>
> ----------------------------------------------------------------------
>
> Message: 1
> Date: Wed, 9 May 2007 15:50:32 -0500
> From: "Sun, Dong \(Dong\)" <[email-masked]>
> Subject: RE: [Dime] Making decisions regarding QoS Work
> To: <[email-masked]>
> Message-ID:
>         <[email-masked]>
> Content-Type: text/plain;       charset="us-ascii"
>
>
> Hi All,
>
> Concerning the item c) - QoS application, as I commented some time ago,
> the current draft only covers the NE (e.g. router)/endpoint initiated
> policy Pull model, however, the Push model in which the QoS attributes
> are proactively installed by the policy server is not yet addressed.
>
> A bunch of network technologies and deployment scenarios are requiring
> the Push model now, and several SDOs have defined the Push model as a
> requirement in policy control framework, e.g. ETSI TISPAN, DSL Forum,
> ITU-T NGN and CableLabs (maybe WiMAX forum), it is also envisaged as the
> evolution of policy control mechanism since it can mitigate the
> dependence of the QoS control on the endpoint's capability and simplify
> the endpoint's implementation.
>
> Two options to move forward this QoS application work in my mind:
> 1) Define a single WG item to cover both Pull and Push models
> 2) Define two WG items to address Pull and Push model separately
>
> I personally prefer to create a single WG item to address both Pull and
> Push models. Certainly, we need to look into details how to integrate
> the Resource-control-application ID into the QoS application draft.
>
> Cheers,
> Dong
>
> -----Original Message-----
> From: Tina TSOU [mailto:[email-masked]]
> Sent: Wednesday, May 09, 2007 6:05 AM
> To: [email-masked]; [email-masked];
> [email-masked]
> Subject: Re: [Dime] Making decisions regarding QoS Work
>
> Hi all,
> c)
> I think the following from Sun's draft could be moved to the QoS draft:
>
> (1) 2.2 Resource Control models which give an overview of push & pull
> models
> (2) 2.4 Functional framework & 2.5 its use cases
> (3) We need section 3 describing new "server-initiated" commands.
> However the AVPs need more consideration for e.g. some AVP like
> QoS-Authorization-Resources to be added? Also PI-Request-Type AVP is
> unnecessary as the RCDE will use ASR, RAR for terminate, update
> purposes.
> (4) Section 4 which describe session initiation, update & termination
> for push model. This draft implies extending & using the RFC 3588 server
> state machine at RCDE. But this is not agreed by the WG yet.
>
> B. R.
> Tina
> +86-755-28972912 (Office)    +86-13922884380 (Mobile)
> Messengers:
> MSN: [email-masked]   Yahoo: tina_tsou    Skype: tinaTSOU
> Jabber:
> [email-masked]    Google talk: [email-masked]
>
> ----- Original Message -----
> From: <[email-masked]>
> To: <[email-masked]>; <[email-masked]>
> Sent: Wednesday, May 09, 2007 11:46 AM
> Subject: RE: [Dime] Making decisions regarding QoS Work
>
>
> Hi all,
>
> Having my own vested interests on these I support having
> a) & b) as WG items.
>
> No comment on c) yet.
>
> Cheers,
> Jouni
>
>
> > Hi all,
> >
> > working on the WG status update I noticed that we are behind
> > schedule with our Diameter QoS work and subsequently I have
> > had a chat with Dan about this subject.
> >
> > At the last IETF meeting we had a presentation regarding
> > recently submitted QoS documents (see
> > http://www1.ietf.org/mail-archive/web/dime/current/msg01338.ht
> > ml). In short, we made a document management action by
> > splitting the work into:
> >
> > 1) Quality of Service Parameters
> > http://tools.ietf.org/wg/dime/draft-korhonen-dime-qos-paramete
> > rs-00.txt
> >
> > This document just describes the different QoS parameters.
> >
> >
> > 2) Quality of Service Attribute
> > http://tools.ietf.org/wg/dime/draft-korhonen-dime-qos-attribut
> > es-00.txt
> >
> > This document redefines the QoS-Filter-Rule AVP based on the
> > previously mentioned QoS parameters. It needs to be aligned
> > with
> > http://www.ietf.org/internet-drafts/draft-ietf-radext-filter-r
> > ules-02.txt
> > as that document progresses. This is a short document.
> >
> >
> > 3) Quality of Service Application
> >
> > This document describes the Diameter QoS application.
> >
> >
> > Document #2 (and therefore document #1) is needed by the 3GPP
> > for Rel.7 (from a functionality point of view although the
> > current reference points to the Diameter QoS application
> > draft). Hence, there is a considerable amount of pressure to
> > get the work done. #3 needs more work particularly with
> > respect to question (c) below.
> >
> > We need to make three decisions in order to move the work forward.
> >
> > a) Are there objections to turn
> > draft-korhonen-dime-qos-parameters-00.txt into a WG item?
> >
> > b) Are there objections to turn
> > draft-korhonen-dime-qos-attributes-00.txt into a WG item?
> >
> > c) What content from
> > http://tools.ietf.org/html/draft-sun-dime-diameter-resource-co
> > ntrol-requirements-01
> > should be incorporated into
> > http://tools.ietf.org/html/draft-ietf-dime-diameter-qos-00
> > and pushed to future work?
> >
> > Please respond to (a), (b) and/or (c) by 19th May 2007.
> >
> > Ciao
> > Hannes
> >
> >
> > _______________________________________________
> > DiME mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/dime
> >
>
> _______________________________________________
> DiME mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/dime
>
>
> _______________________________________________
> DiME mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/dime
>
>
>
> ------------------------------
>
> _______________________________________________
> DiME mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/dime
>
>
> End of DiME Digest, Vol 17, Issue 8
> ***********************************
>

_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime